%define name	qjackctl
%define version	0.2.6
%define release 1mdk

Name: 	 	%{name}
Summary: 	A QT gui for the jack audio daemon
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/qjackctl/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel jackit-devel ImageMagick
Requires:	jackit >= 0.90.0

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application to
control the JACK server daemon.

%prep
%setup -q

%build
export QTDIR=/usr/lib/qt3
export PATH=$QTDIR/bin:$PATH
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QJackCTL" longtitle="Controls the JACK Audio daemon" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_iconsdir}/%name.xpm
%{_miconsdir}/%name.png

%changelog
* Mon Mar 1 2004 Austin Acton <austin@mandrake.org> 0.2.6-1mdk
- 0.2.6

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.2.5-1mdk
- 0.2.5

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4

* Mon Jan 19 2004 Austin Acton <austin@mandrake.org> 0.2.3a-1mdk
- 0.2.3a

* Fri Jan 16 2004 Austin Acton <austin@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Mon Dec 29 2003 Austin Acton <austin@linux.ca> 0.2.0-1mdk
- 0.2.0

* Wed Nov 26 2003 Austin Acton <austin@linux.ca> 0.1.3-1mdk
- 0.1.3

* Tue Nov 18 2003 Austin Acton <austin@linux.ca> 0.1.2-1mdk
- 0.1.2

* Wed Nov 5 2003 Austin Acton <aacton@yorku.ca> 0.1.1a-1mdk
- 0.1.1a
- enable jack transport control

* Sun Oct 26 2003 Austin Acton <aacton@yorku.ca> 0.1.0-1mdk
- 0.1.0
- use ImageMagick for icons

* Mon Oct 6 2003 Austin Acton <aacton@yorku.ca> 0.0.9a-1mdk
- 0.0.9a

* Mon Sep 15 2003 Austin Acton <aacton@yorku.ca> 0.0.7-1mdk
- 0.0.7

* Sat Sep 13 2003 Austin Acton <aacton@yorku.ca> 0.0.6-1mdk
- 0.0.6

* Fri Sep 5 2003 Austin Acton <aacton@yorku.ca> 0.0.5-1mdk
- 0.0.5
- delib buildrequires

* Sat Aug 30 2003 Austin Acton <aacton@yorku.ca> 0.0.4-1mdk
- 0.0.4

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.0.3-1mdk
- 0.0.3

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.0.2-1mdk
- initial package
